//Colors
$red: #D92E23;
$orange: #FF6347;
$white: #FFFFFF;
$grey-white: #EFEFEF;
$gold: #BD9C6A;
$black: #000000;
$dark-grey: #333333;

//Fonts
@font-face {
  font-family: Medium;
  src : url('fonts/SevenOneEight-Medium.ttf')
}

@font-face {
  font-family: Bold;
  src : url('fonts/SevenOneEight-ExtraBold.ttf')
}

@font-face {
  font-family: Black;
  src : url('fonts/SevenOneEight-Black.ttf')
}

@font-face {
  font-family: Light;
  src : url('fonts/SevenOneEight-Light.ttf')
}

@font-face {
  font-family: Book;
  src : url('fonts/SevenOneEight-Book.ttf')
}

.fontBlack {
  font-family: black !important;
}

.fontBold {
  font-family: Bold !important;
}

.fontLight {
  font-family: Light !important;
}

.fontBook {
  font-family: Book !important;
}

//Primary Containers
body {
  background-color: $grey-white;
  font-family: Medium, Times, Serif;
}
.App {
  text-align: center;
  margin: 0 auto;
  max-width: 1600px;
}

.container {
  margin-bottom: 20px;
}

.member-container {
  margin-bottom: 150px;
}

.red-container {
  background-color: $red;
  color: $white;
  margin-bottom: 10px;
  padding: 20px 0px;
  border-radius: 3px;
}

.footer-container {
  position: fixed;
  left: 5.5%;
  bottom: 0;
  width: 89%;
  background-color: $dark-grey;
  color: $white;
  text-align: center;
  padding: 20px;
  z-index: 31;
}



//Primary html style
a {
  color: $white;
  text-decoration: underline;
}

a:hover {
  color: $white;
  text-decoration: none;

}

.uppercase {
  text-transform: uppercase;
}

h1 {
  font-size: 2em;
}

h2{
  font-size: 1.5em;
}

.red {
  color: $red
}

.mt10 {
  margin-top: 10px;
}

.mt14 {
  margin-top: 14px;
}

.title-hr {
  width: 20%;
  border-top: 5px solid $black;
}

.member-hr {
  width: 10%;
  border-top: 3px solid $black;
}

.footer-hr {
  width: 20%;
  max-width: 1600px;
  border-top: 3px solid $red;
}

.btn-member {
  color: $white;
  background-color: $red;
  width: 250px;
  border-radius: 0px;
  transition: background-color 1s;
}
.btn-member:hover {
  background-color: $orange;
}



//Member Comp Style
.bigNumber {
  font-size: 2.5em;
  float: left;
  text-align: right;
}
.bigNumber span {
  font-family: Bold !important;
  color: $red
}

.numberLabel {
  float: right;
  text-align: left;
  font-size: 0.7em;
}

//multiSelect CSS
.multiselect-container {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: center;
}
.multiselect-container ul {
  text-align: left;
}

//List CSS
.list-container {
  background-color: $white;
  margin-bottom: 20px;
  border-radius: 10px;
  text-align: left;
  font-size: 0.7em;
}

.text-area-container {
  padding: 10px 15px;
}

.list-container img {
  width: 100%;
  height: auto;
  border-radius: 10px 10px 0px 0px;
  opacity:0.8
}

.tag-label {
  color: $white;
  margin-left: 5px;
  font-size: 0.7em;
  padding: 3px;
}

.tag-label-dark {
  @extend .tag-label;
  background-color: black;
}
.tag-label-gold {
  @extend .tag-label;
  background-color: #c4a118;
}

.tag-container{
  margin-left: -5px;
}

.img-container {
  position: relative;
  text-align: center;
  color: $white;
}

.bottom-right {
  position: absolute;
  bottom: 8px;
  right: 16px;
  font-size: 1.2em;
}

.info-container {
  margin-top: -30px;
}

.arrow-container svg {
  color: $white;
  background-color: $red;
  position: relative;
  left: 85%;
  top: 60px;
  height: 30px;
  width: 30px;
  opacity: 1;
  transition: opacity 0.7s, background-color 0.7s;
} 
.arrow-container svg:hover{
  background-color: $orange;
  opacity: 1;
}

//Slide CSS
.img-container .slick-prev {
  left: 0;
  margin-left: 2px;
  z-index: 1;
  opacity: 1;
}

.img-container .slick-next {
  right: 0;
  margin-right: 2px;
  z-index: 1;
  opacity: 1;
}

.slick-slider{
  .slick-arrow{
      opacity: 0.5 !important;
      transition: opacity 0.7s;
  }
  &:hover{
      .slick-arrow{
        opacity: 1 !important;
      }
  }
    img  {
    opacity: 0.8 !important;
    transition: opacity 0.7s;
  }
  &:hover{
      img {
          opacity: 1 !important;
    }
  }
}